%global gem_name Ascii85

Summary: Methods to encode/decode Adobe's binary-to-text encoding of the same name
Name: rubygem-%{gem_name}
Version: 1.0.2
Release: %mkrel 1
Group: Development/Ruby
License: MIT
URL: http://ascii85.rubyforge.org/
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Source1: ascii85.1.pod.tgz 
Requires: ruby
BuildRequires: rubygems-devel
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}
BuildRequires: perl

%description
Ascii85 is a simple gem that provides methods for encoding/decoding Adobe's
binary-to-text encoding of the same name.

%package doc
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
tar zxvf %{SOURCE1}

%build

# without -KU, it fails with: invalid byte sequence in US-ASCII
RUBYOPT="-KU" gem build %{gem_name}.gemspec

%gem_install

pod2man --center "" --release "" --name ASCII85 --utf8 --section=1 ascii85.1.pod ascii85.1

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

mv %{buildroot}%{gem_instdir}/{History.txt,README.rdoc} ./
rm -rf %{buildroot}%{gem_instdir}/{.gitignore,.gemtest}
rm -f %{buildroot}%{gem_instdir}/%{gem_name}.gemspec
rm -rf %{buildroot}%{gem_instdir}/.yardoc

install -D -m 644 ascii85.1 %{buildroot}%{_mandir}/man1/ascii85.1

%files
%{_bindir}/ascii85
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}
%{_mandir}/man1/ascii85.1*
%doc %{gem_instdir}/LICENSE

%files doc
%doc History.txt README.rdoc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Sat Nov 01 2014 bb <bb> 1.0.2-1pclos2014
- import
